Subject: Re: bug#40459: Non-reproducible behaviour in libtool < 2.2.7b bootstrapped ltmain.sh

From: Ludovic Courtès <[email-masked]>
Date: Mon, 06 Apr 2020 11:21:22 +0200

Hello!

Carl Dong <[email-masked]> skribis:

> While investigating a libstdc++.a reproducibility issue, I found that
> libtool prior to 74c8993c (first included in version 2.2.7b, link:
> https://git.savannah.gnu.org/cgit/libtool.git/commit/?id=74c8993c178a1386ea5e2363a01d919738402f30)
> did not sort find output.

Right, good ol’days!

> It seems that many packages (including all released gcc versions so
> far) are bootstrapped with a libtool < 2.2.7b.

Ouch, I didn’t expect this.

> There are probably many ways to approach this, and I propose that we could simply use a somewhat strict regex find and replace on ltmain.sh.

Yes, we could add a standard build phase to do that.  We just need to
make sure we get the regexp right so it doesn’t break newer ‘ltmain.sh’
scripts.

WDYT?

Ludo’.